
#include <absacc.h>
#include <REG552.h>

#define C8155 	0x8000		//256B RAM, 1x timer, 2x 8-bit port, 1x 6-bit port 
#define C8253 	0x8400		//3x timer/counter
#define C8251 	0x8600		//USART

void DelayMs(unsigned int ms);
void Disp_LED(unsigned char);
void Timer0_Init(void);
void UART_Init(void);
void Disp_Init(void);
void Disp_Int(int);
void Disp_Handle(void);
unsigned int AD_Read(char);

void USART_SentByte(char);
char USART_ReadByte(void);
unsigned char USART_ByteSent(void); 
unsigned char USART_ByteRecived(void);

#define TL1 !(P1 & 0x04)
#define TL2 !(P1 & 0x08)
#define TL3 !(P1 & 0x10)
#define TL4 !(P1 & 0x20)

sbit ACC0   = 0xE0;
sbit ACC1   = 0xE1;
sbit ACC2   = 0xE2;
sbit ACC3   = 0xE3;
sbit ACC4   = 0xE4;
sbit ACC5   = 0xE5;
sbit ACC6   = 0xE6;
sbit ACC7   = 0xE7;

sbit P33		= 0xB3;